Name:           prewikka
Version:        5.2.0
Release:    1%{?dist}
Summary:        Graphical front-end analysis console for IDMEF
License:        GPLv2+
URL:            https://www.prelude-siem.org/
Source0:        https://www.prelude-siem.org/pkg/src/%{version}/%{name}-%{version}.tar.gz
Patch0:         prewikka-5.2.0-fix_python_3.10.patch

BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-configargparse
BuildRequires:  python3-babel
BuildRequires:  python3-lesscpy
BuildRequires:  python3-setuptools

Requires:       python3-%{name} >= %{version}

%define debug_package %{nil}

%description
Prewikka is the backend of the web browser interface of Prelude SIEM. Providing
numerous features, Prewikka facilitates the work of users and analysts. It
provides alert aggregation and heartbeat views, and has user customization and
configurable filters. Prewikka also provides access to external tools such as
whois and traceroute.

%package -n python3-%{name}
Summary:        Graphical front-end analysis console for IDMEF
Requires:       %{name} = %{version}-%{release}
Requires:       python3-prelude >= %{version}
Requires:       python3-preludedb >= %{version}
Requires:       python3-babel
Requires:       python3-croniter
Requires:       python3-dateutil
Requires:       python3-gevent
Requires:       python3-lark-parser
Requires:       python3-mako
Requires:       python3-passlib
Requires:       python3-pytz
Requires:       python3-pyyaml
Requires:       python3-requests
Requires:       python3-voluptuous
Requires:       python3-werkzeug
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Prewikka is the backend of the web browser interface of Prelude SIEM. Providing
numerous features, Prewikka facilitates the work of users and analysts. It
provides alert aggregation and heartbeat views, and has user customization and
configurable filters. Prewikka also provides access to external tools such as
whois and traceroute.

%prep
%autosetup -p1

%build
%py3_build

%install
install -d -m 0755 %{buildroot}%{_sbindir}

%{__python3} setup.py install --root=%{buildroot}
mv %{buildroot}%{_bindir}/%{name}-httpd %{buildroot}%{_sbindir}/%{name}-httpd-%{python3_version}
mv %{buildroot}%{_bindir}/%{name}-crontab %{buildroot}%{_sbindir}/%{name}-crontab-%{python3_version}
mv %{buildroot}%{_bindir}/%{name}-cli %{buildroot}%{_sbindir}/%{name}-cli-%{python3_version}

ln -s ./%{name}-httpd-%{python3_version} %{buildroot}%{_sbindir}/%{name}-httpd-3
ln -s ./%{name}-httpd-3 %{buildroot}%{_sbindir}/%{name}-httpd
ln -s ./%{name}-crontab-%{python3_version} %{buildroot}%{_sbindir}/%{name}-crontab-3
ln -s ./%{name}-crontab-3 %{buildroot}%{_sbindir}/%{name}-crontab
ln -s ./%{name}-cli-%{python3_version} %{buildroot}%{_sbindir}/%{name}-cli-3
ln -s ./%{name}-cli-3 %{buildroot}%{_sbindir}/%{name}-cli

rm -f %{buildroot}%{_sysconfdir}/%{name}/*-dist

install -d -m 0755 %{buildroot}%{_datadir}/locale
cp -r %{buildroot}%{python3_sitelib}/%{name}/locale/* %{buildroot}%{_datadir}/locale/
rm -rf %{buildroot}%{python3_sitelib}/%{name}/locale
ln -s %{_datadir}/locale %{buildroot}%{python3_sitelib}/%{name}/locale

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/conf.d
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/menu.yml
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/auth.conf
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/external_app.conf
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/logs.conf
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/riskoverview.conf
%{_datadir}/%{name}

%files -n python3-%{name}
%{_sbindir}/%{name}-httpd
%{_sbindir}/%{name}-httpd-3
%{_sbindir}/%{name}-httpd-%{python3_version}
%{_sbindir}/%{name}-crontab
%{_sbindir}/%{name}-crontab-3
%{_sbindir}/%{name}-crontab-%{python3_version}
%{_sbindir}/%{name}-cli
%{_sbindir}/%{name}-cli-3
%{_sbindir}/%{name}-cli-%{python3_version}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-1
- initial build
